POST
/v1/mgmt/totp/settingsAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
enabled?boolean
issuerLabelTemplate?string
Issuer label shown in the authenticator app, e.g. {{projectName}} or {{tenant.name}}. Supports {{projectName}}, {{tenantName}}, {{tenant.name}} and {{tenant.id}}. When empty, the project name is used.
Length
length <= 1024accountNameTemplate?string
Account name shown in the authenticator app, e.g. {{user.email}} or {{user.customAttributes.employeeId}}. Supports {{user.email}}, {{user.phone}}, {{user.name}}, {{user.loginId}}, {{user.customAttributes.}}, {{tenant.name}} and {{tenant.id}}. When empty, or when it renders empty for a user, the login ID is used.
Length
length <= 1024Set the project's TOTP settings, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/totp/settings" \ -H "Content-Type: application/json" \ -d '{}' Was this helpful?